/* **********************************************************
 * Copyright (C) 2008 VMware, Inc.  All Rights Reserved. -- VMware Confidential
 * **********************************************************/

/*
 * Detect whether there is dev_net accessor for dev->nd_net.
 * It appeared between 2.6.25 and 2.6.26-rc1.
 */

#include <linux/autoconf.h>
#include <linux/version.h>

#if LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 25)
#   error This compile test intentionally fails.
#elif LINUX_VERSION_CODE < KERNEL_VERSION(2, 6, 26)
#   include <linux/netdevice.h>

struct net * 
vmware_dev_net(struct net_device *dev)
{
   return dev_net(dev);
}
#endif
